/**
 * Copyright 2017 Confluent Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#pragma once

rd_kafka_resp_err_t on_acknowledgement (rd_kafka_t *rk,
                                        rd_kafka_message_t *rkmessage,
                                        void *ic_opaque);
rd_kafka_resp_err_t on_consume (rd_kafka_t *rk,
                                rd_kafka_message_t *rkmessage,
                                void *ic_opaque);

rd_kafka_resp_err_t on_destroy (rd_kafka_t *rk, void *ic_opaque);
rd_kafka_resp_err_t on_new (rd_kafka_t *rk, const rd_kafka_conf_t *conf,
                            void *ic_opaque, char *errstr, size_t errstr_size);
rd_kafka_conf_res_t on_conf_set (rd_kafka_conf_t *conf,
                                 const char *name, const char *val,
                                 char *errstr, size_t errstr_size,
                                 void *ic_opaque);
rd_kafka_resp_err_t on_conf_dup (rd_kafka_conf_t *new_conf,
                                 const rd_kafka_conf_t *old_conf,
                                 size_t filter_cnt, const char **filter,
                                 void *ic_opaque);
rd_kafka_resp_err_t on_conf_destroy (void *ic_opaque);
